Subject: [Sip] Warning Codes being 3XX only or not?

From: "James M. Polk" <[email-masked]>
Date: Wed, 15 Nov 2006 13:51:53 -0600

All

RFC 3261, section 20.43 (about the Warning header) has this sentence:

"The first digit of warning codes beginning with "3" indicates warnings 
specific to SIP. "

... then goes on to subdivide the 300-399 ranges into smaller categories.

This quoted sentence does not have normative text in it, and a proposal in 
a side group of IETFers has suggested this sentence in 3261 doesn't 
actually limit Warning codes to 3XX, but that other 3 digit sequences 
outside the 300-399 range can be proposed.

Is this allowable?

And if so, does anyone have great heartburn about using another well 
defined range (also) for the Warning header within SIP?

If this is agreeable, the new Warning codes would have to be IANA registered.

Thanks
James

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Alan Johnston <[email-masked]>
Date: Thu, 16 Nov 2006 14:57:27 -0600

Hi James,

If you look at Section 14.46 of RFC 2616 (HTTP 1.1) you will see where 
SIP borrowed the Warning header field from and the list of defined 
codes.  They are defined in the 1xx and 2xx ranges for HTTP.  The intent 
was not to step on these ranges with SIP warning codes.  If we are 
running out of codes in the 3xx range, I don't see why we couldn't use a 
4xx range.

Thanks,
Alan

James M. Polk wrote:
> "The first digit of warning codes beginning with "3" indicates 
> warnings specific to SIP. "
>
> This quoted sentence does not have normative text in it, and a 
> proposal in a side group of IETFers has suggested this sentence in 
> 3261 doesn't actually limit Warning codes to 3XX, but that other 3 
> digit sequences outside the 300-399 range can be proposed.
>
> Is this allowable?
>

---

From: "James M. Polk" <[email-masked]>
Date: Thu, 16 Nov 2006 15:13:15 -0600

Alan

Thanks for the comment

One proposal is to go for a range not used by SIP or HTTP for any purposes: 
the 7XX range.

Is this ok?

Or should the Conveyance doc just bump up to the next range (the 4XX)?

James

At 02:57 PM 11/16/2006 -0600, Alan Johnston wrote:
>Hi James,
>
>If you look at Section 14.46 of RFC 2616 (HTTP 1.1) you will see where SIP 
>borrowed the Warning header field from and the list of defined 
>was not to step on these ranges with SIP warning codes.  If we are running 
>out of codes in the 3xx range, I don't see why we couldn't use a 4xx range.
>
>Thanks,
>Alan
>
>James M. Polk wrote:
>>All
>>
>>This quoted sentence does not have normative text in it, and a proposal 
>>in a side group of IETFers has suggested this sentence in 3261 doesn't

---

From: Henning Schulzrinne <[email-masked]>
Date: Thu, 16 Nov 2006 17:22:45 -0500

There's nothing magic about the numbers, so the only advantage to 4xx is 
that it's next in (hundreds) line with 3xx and thus leaves a larger area 
undisturbed.

James M. Polk wrote:
> Alan
> 
> Thanks for the comment
> 
> One proposal is to go for a range not used by SIP or HTTP for any 
> purposes: the 7XX range.
> 
> Is this ok?
>